### Method

# GLib BookmarkFile to_file

since: 2.12

#### Declaration

    gboolean
    g_bookmark_file_to_file (
      GBookmarkFile* bookmark,
      const gchar* filename,
      GError** error
    )

#### Description

This function outputs `bookmark` into a file. The write process is guaranteed to be atomic by using `g_file_set_contents()` internally.

Available since: 2.12

#### Parameters

`filename`

  Type: `const gchar*`

  Path of the output file.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was successfully written.